﻿@model DAL.DBEntities.vt_User
@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="en">

<head>
    @*<script src="~/assets/js/pace.min.js"></script>*@
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
    <link rel="icon" type="image/png" sizes="16x16" href="~/assets/img/favicon.png">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Login</title>
    <!-- CSS -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:200,300,400,500,600%7CRoboto:400" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/material-icons/material-icons.css" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/mono-social-icons/monosocialiconsfont.css" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/feather-icons/feather.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/perfect-scrollbar.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/style.css" rel="stylesheet" type="text/css">
    <!-- Head Libs -->
    <script src="~/assets/js/modernizr.min.js"></script>
</head>
<body class="body-bg-full profile-page" style="background-color: #e8e8e8;">
    <div id="wrapper" class="row wrapper">
        <div class="container-min-full-height d-flex justify-content-center align-items-center">
            <div class="login-center" style="box-shadow: 1px 2px 20px 2px #0000001c;">
                <div class="navbar-header text-center mt-2 mb-4">
                    <a href="javascript:;">
                        <img alt="" src="~/assets/img/logo-dark.png">
                    </a>
                </div>
                
                <!-- /.navbar-header -->
                @using (Ajax.BeginForm("Login", "Login", new AjaxOptions { OnSuccess = "onSuccess" }))
                {
                    <div class="form-group">
                        <label for="example-email">Email</label>
                        @Html.TextBoxFor(x => x.Email, new { @class = "form-control form-control-line", @title = "Email", Placeholder = "Email", required = "required" })
                        @*<input type="email" placeholder="johndoe@site.com" class="form-control form-control-line" name="example-email" id="example-email">*@
                    </div>
                    <div class="form-group">
                        <label for="example-password">Password</label>
                        @Html.TextBoxFor(x => x.Password, new { @type="Password", @class = "form-control form-control-line", @title = "Password", Placeholder = "Password", required = "required" })
                        @*<input type="password" placeholder="password" id="example-password" name="example-password" class="form-control form-control-line">*@
                    </div>
                   
                    <div class="form-group">
                        <button class="btn btn-block btn-lg btn-pinterest ripple text-uppercase fs-12 fw-600" onclick="RememberMe();" type="submit">Login </button>
                    </div>
                    <span style="color:red">@ViewBag.LoginMsg</span>
                    <div class="form-group no-gutters mb-0">
                        <div class="col-md-12 d-flex">
                            <div class="checkbox checkbox-primary mr-auto mr-0-rtl ml-auto-rtl">
                                <label class="d-flex">
                                    <input type="checkbox" id="remember" name="optionsCheckboxes"><span class="label-text">Remember me</span>
                                </label>
                            </div><a href="javascript:void(0)" id="to-recover" class="my-auto pb-2 text-right"><i class="material-icons mr-2 fs-18">lock</i> Forgot Password?</a>
                        </div>
                        <!-- /.col-md-12 -->
                    </div>
                    <!-- /.form-group -->
                }
                
                <!-- /.form-material -->
            </div>
            <!-- /.login-center -->
        </div>
        <!-- /.d-flex -->
    </div>
    <!-- /.body-container -->
    <!-- Scripts -->
    <script src="~/assets/js/jquery.min.js"></script>
    <script src="~/assets/js/bootstrap.min.js"></script>
    <script src="~/assets/js/popper.min.js"></script>
    <script src="~/assets/js/material-design.js"></script>
    <script src="~/assets/js/jquery.cookie.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            LoadCredentials();
            $.removeCookie('Cart');
        })

        function LoadCredentials()
        {
            var remember = $.cookie('remember');
            if (remember == 'true') {
                var email = $.cookie('email');
                var password = $.cookie('password');
                // autofill the fields
                $('#UserName').val(email);
                $('#Password').val(password);
                $('[Id$=remember]').prop('checked', true);
            }
        }

        function RememberMe() {
            if ($('#remember').is(':checked') === true) {
                var email = $('#UserName').val();
                var password = $('#Password').val();

                // set cookies to expire in 14 days
                $.cookie('email', email, { expires: 14 });
                $.cookie('password', password, { expires: 14 });
                $.cookie('remember', true, { expires: 14 });

            }
            else {
                // reset cookies
                $.cookie('email', null);
                $.cookie('password', null);
                $.cookie('remember', null);
            }
        }
    </script>
</body>
</html>